Subject: RE: FVWM: FVWM Output to stderr/console

From: "Steffl, Erik" <[email-masked]>
Date: Tue, 4 Jan 2000 12:22:47 -0600

I am not sure if it will work but you might want to try this:

dtsession*wmStartupCommand:  /usr/local/bin/fvwm > fvwm.log 2>&1

  and define NO_CONSOLE (that is probably not neccessary though).

  of course you might want to specify path to fvwm.log too since it might
try to create file in a directory where you do not have right to reate files
(I do not know what is current directory when dtsession starts fvwm).

	erik

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Leo deck
...
> I am running X from the CDE (Common Desktop Environment) 
> graphical login.
> fvwm is selected as the window manager to use inside the CDE 
> itself by using
> the "wmStartupCommand" resource in my ~/.Xdefaults file as follows:
> 
>    dtsession*wmStartupCommand:  /usr/local/bin/fvwm
>    dtsession*waitWmTimeout:  2
> 
> Messages output by fvwm using calls to the "fvwm_msg" 
> function go to either the
> console device or stderr, depending on whether or not 
> NO_CONSOLE is defined.
> When selecting and running fvwm as indicated above, how can 
> these output messages
> be viewed or logged to a file?
> 
> I am basically new to fvwm.  Thanks in advance.
> 
> 
> 
> Leo Deck
> 
> [email-masked]
> 
> 
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].